Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005868opensim[REGION] Specific OpenSim Modulepublic2012-02-01 07:282014-07-29 13:40
ReporterSnoopy 
Assigned Tokcozens 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0005868: OpenSimSearch Patch for Version 184 - Fixes Null Pointer Exceptions of Map Item Requests
DescriptionOpenSimSearch version 184 causes null pointer exceptions, when handling map item requests, if some regions do return no dir_land_query or dir_events_query data.

The attached patch fixes that bug and simplifies the code, by removing two unnecessary helper arrays and by reducing four loops to just two loops, one for each case.

@Plugh: Please could you commit that change on the OpenSimSearch repository? Thanks!
TagsNo tags attached.
Git Revision or version numberd2dfa4cfe7aadfed0611fb31414d9c8fff420b24
Run Mode Grid (1 Region per Sim)
Physics EngineODE
EnvironmentMono / Linux64
Mono Version2.10
Viewer
Attached Filespatch file icon OpenSimSearch_HandleMapItemRequest_v2.patch [^] (7,739 bytes) 2012-02-01 07:28 [Show Content]

- Relationships

-  Notes
(0020750)
Snoopy (administrator)
2012-02-01 07:29

Plugh, please commit the attached patch. Thanks!
(0020822)
justincc (administrator)
2012-02-08 17:22

Shouldn't this be in the bugtracker for the OpenSimSearch project?
(0020837)
kcozens (administrator)
2012-02-09 16:24

This issue was fixed in revision 185 of ossearch (2012-02-02 02:23:24 -0500).

- Issue History
Date Modified Username Field Change
2012-02-01 07:28 Snoopy New Issue
2012-02-01 07:28 Snoopy File Added: OpenSimSearch_HandleMapItemRequest_v2.patch
2012-02-01 07:29 Snoopy Note Added: 0020750
2012-02-01 07:29 Snoopy Assigned To => Snoopy
2012-02-01 07:29 Snoopy Status new => patch included
2012-02-08 17:22 justincc Note Added: 0020822
2012-02-09 16:24 kcozens Note Added: 0020837
2012-02-09 16:26 kcozens Status patch included => resolved
2012-02-09 16:26 kcozens Resolution open => fixed
2012-02-09 16:26 kcozens Assigned To Snoopy => kcozens
2014-07-29 13:40 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker